/****************************************************************************
**
** Copyright (C) 2021 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of the examples of the Qt Design Studio.
**
** $QT_BEGIN_LICENSE:BSD$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** BSD License Usage
** Alternatively, you may use this file under the terms of the BSD license
** as follows:
**
** "Redistribution and use in source and binary forms, with or without
** modification, are permitted provided that the following conditions are
** met:
**   * Redistributions of source code must retain the above copyright
**     notice, this list of conditions and the following disclaimer.
**   * Redistributions in binary form must reproduce the above copyright
**     notice, this list of conditions and the following disclaimer in
**     the documentation and/or other materials provided with the
**     distribution.
**   * Neither the name of The Qt Company Ltd nor the names of its
**     contributors may be used to endorse or promote products derived
**     from this software without specific prior written permission.
**
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
** "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
** LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
** A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
** OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
** SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
** LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
** DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
** THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
** OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE."
**
** $QT_END_LICENSE$
**
****************************************************************************/

import QtQuick 2.8

Item {
    id: icons
    width: 556
    height: 384

    Image {
        id: iconsAsset
        x: 0
        y: 0
        source: "assets/icons.png"
    }

    Image {
        id: pauseiconon
        x: 222
        y: 345
        source: "assets/pauseiconon.png"
    }

    Image {
        id: goiconoff
        x: 256
        y: 347
        source: "assets/goiconoff.png"
    }

    Image {
        id: pauseiconon1
        x: 182
        y: 341
        source: "assets/pauseiconon_1.png"
    }

    Image {
        id: lockediconoff
        x: 345
        y: 343
        source: "assets/lockediconoff.png"
    }

    Image {
        id: drainiconlarge
        x: 18
        y: 302
        source: "assets/drainiconlarge.png"
    }

    Image {
        id: drainiconoff
        x: 142
        y: 310
        source: "assets/drainiconoff.png"
    }

    Image {
        id: okiconoff
        x: 470
        y: 345
        source: "assets/okiconoff.png"
    }

    Image {
        id: coloriconoff
        x: 20
        y: 23
        source: "assets/coloriconoff.png"
    }

    Image {
        id: soiliconoff
        x: 76
        y: 22
        source: "assets/soiliconoff.png"
    }

    Image {
        id: fabriciconoff
        x: 124
        y: 23
        source: "assets/fabriciconoff.png"
    }

    Image {
        id: timeiconoff
        x: 175
        y: 19
        source: "assets/timeiconoff.png"
    }

    Image {
        id: temperatureiconoff
        x: 223
        y: 19
        source: "assets/temperatureiconoff.png"
    }

    Image {
        id: timericonoff
        x: 293
        y: 24
        source: "assets/timericonoff.png"
    }

    Image {
        id: weighticonoff
        x: 371
        y: 19
        source: "assets/weighticonoff.png"
    }

    Image {
        id: spiniconoff
        x: 427
        y: 20
        source: "assets/spiniconoff.png"
    }

    Image {
        id: watericonoff
        x: 475
        y: 19
        source: "assets/watericonoff.png"
    }

    Image {
        id: coloriconon
        x: 18
        y: 84
        source: "assets/coloriconon.png"
    }

    Image {
        id: soiliconon
        x: 75
        y: 84
        source: "assets/soiliconon.png"
    }

    Image {
        id: fabriciconon
        x: 124
        y: 86
        source: "assets/fabriciconon.png"
    }

    Image {
        id: timeiconon
        x: 173
        y: 83
        source: "assets/timeiconon.png"
    }

    Image {
        id: temperatureiconon
        x: 223
        y: 83
        source: "assets/temperatureiconon.png"
    }

    Image {
        id: timericonon
        x: 292
        y: 88
        source: "assets/timericonon.png"
    }

    Image {
        id: weighticonon
        x: 370
        y: 81
        source: "assets/weighticonon.png"
    }

    Image {
        id: spiniconon
        x: 426
        y: 83
        source: "assets/spiniconon.png"
    }

    Image {
        id: watericonon
        x: 478
        y: 81
        source: "assets/watericonon.png"
    }

    Image {
        id: washingpowdericonoutline
        x: 21
        y: 169
        source: "assets/washingpowdericonoutline.png"
    }

    Image {
        id: washingpowdericonfil
        x: 151
        y: 172
        source: "assets/washingpowdericonfil.png"
    }

    Image {
        id: fabricsoftnericonout
        x: 313
        y: 155
        source: "assets/fabricsoftnericonout.png"
    }

    Image {
        id: fsbricsoftnericonfil
        x: 414
        y: 150
        source: "assets/fsbricsoftnericonfil.png"
    }

    Image {
        id: resumeiconoff
        x: 304
        y: 341
        source: "assets/resumeiconoff.png"
    }

    Image {
        id: closeiconoff
        x: 222
        y: 320
        source: "assets/closeiconoff.png"
    }

    Image {
        id: okiconon
        x: 470
        y: 321
        source: "assets/okiconon.png"
    }

    Image {
        id: smallbuttoniconfill
        x: 379
        y: 239
        source: "assets/smallbuttoniconfill.png"
    }

    Image {
        id: bigbuttoniconfill
        x: 433
        y: 223
        source: "assets/bigbuttoniconfill.png"
    }

    Image {
        id: pauseiconoff
        x: 182
        y: 312
        source: "assets/pauseiconoff.png"
    }

    Image {
        id: resumeiconon
        x: 303
        y: 310
        source: "assets/resumeiconon.png"
    }

    Image {
        id: unlockediconoff
        x: 345
        y: 310
        source: "assets/unlockediconoff.png"
    }

    Image {
        id: lockediconon
        x: 379
        y: 343
        source: "assets/lockediconon.png"
    }

    Image {
        id: unlockediconon
        x: 379
        y: 310
        source: "assets/unlockediconon.png"
    }

    Image {
        id: settingsiconoff
        x: 415
        y: 314
        source: "assets/settingsiconoff.png"
    }

    Image {
        id: settingsiconon
        x: 415
        y: 348
        source: "assets/settingsiconon.png"
    }

    Image {
        id: drainiconon
        x: 141
        y: 341
        source: "assets/drainiconon.png"
    }

    Image {
        id: goiconon
        x: 255
        y: 320
        source: "assets/goiconon.png"
    }
}
